org.richfaces.renderkit

## Class ComponentControlRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.ComponentControlRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    ComponentControlRenderer

      public class ComponentControlRendererBase
      extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentControlRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `attachEventAccordingToTimingOption(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Prepare Java script according to the timing option of the component control and write it to the ResponceWriter
    `protected void` | `checkValidity(java.lang.String clientId, java.lang.String name, java.lang.String attachTiming, java.lang.String forAttr, java.lang.String operation)` Perform validation of the component control configuration.
    `protected java.lang.Class<UIComponentControl>` | `getComponentClass()`
    `protected org.ajax4jsf.resource.InternetResource[]` | `getScripts()` Gets additional scripts.
    `protected java.lang.String` | `replaceClientIds(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String selector)`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentControlRendererBase

          public ComponentControlRendererBase()

  - ### Method Detail

    - #### getComponentClass

          protected java.lang.Class<UIComponentControl> getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### checkValidity

          protected void checkValidity(java.lang.String clientId,
                           java.lang.String name,
                           java.lang.String attachTiming,
                           java.lang.String forAttr,
                           java.lang.String operation)

      Perform validation of the component control configuration. Throws FacesException in case validation fails.
      Parameters:
        `clientId` - - id of the component
        `name` - - component name
        `attachTiming` - - timing options
        `forAttr` - - client ids of target components
        `operation` - - operation performed on target components

    - #### replaceClientIds

          protected java.lang.String replaceClientIds(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component,
                                          java.lang.String selector)

    - #### attachEventAccordingToTimingOption

          protected void attachEventAccordingToTimingOption(javax.faces.context.FacesContext context,
                                                javax.faces.component.UIComponent component)
                                                     throws java.io.IOException

      Prepare Java script according to the timing option of the component control and write it to the ResponceWriter
      Parameters:
        `context` - - FacesContext
        `component` - - component control
      Throws:
        `java.io.IOException` - - is thrown in case of writing to ResponceWriter exception

    - #### getScripts

          protected org.ajax4jsf.resource.InternetResource[] getScripts()

      Gets additional scripts.
      Overrides:
        `getScripts` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`
      Returns:
        array of resources

Copyright © 2013. All Rights Reserved.